Skip to content

Natal Chart

POST
/api/calc/natal

Calculate a natal (birth) chart with planetary positions, house cusps, and aspects. By default the Moon is topocentric (parallax-corrected for the birth location); set moonCenter to geocentric for Earth-center Moon positions.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
  
"dateTime": "string",
  
"location": {
  
  
"longitude": 0,
  
  
"latitude": 0,
  
  
"timezone": "string"
  
},
  
"houseSystem": "placidus",
  
"moonCenter": "topocentric",
  
"language": "en",
  
"includeText": false,
  
"includeReadableEntities": false,
  
"points": [
  
  
"string"
  
],
  
"orbs": {
  
  
"additionalProperties": 0
  
}
}

Responses

Calculate natal chart

application/vnd.api+json
JSON
{
  
"data": {
  
  
"dateTime": "string",
  
  
"aspects": [
  
  
  
{
  
  
  
  
"pointA": "string",
  
  
  
  
"pointB": "string",
  
  
  
  
"aspect": "string",
  
  
  
  
"angle": 0,
  
  
  
  
"orb": 0,
  
  
  
  
"applying": true,
  
  
  
  
"text": "string"
  
  
  
}
  
  
],
  
  
"points": {
  
  
  
"additionalProperties": {
  
  
  
  
"pointId": "string",
  
  
  
  
"longitude": 0,
  
  
  
  
"speedLongitude": 0,
  
  
  
  
"speedLatitude": 0,
  
  
  
  
"speedDistance": 0,
  
  
  
  
"retrograde": true,
  
  
  
  
"houseId": "string",
  
  
  
  
"houseNumber": 0,
  
  
  
  
"degreesInSign": 0,
  
  
  
  
"degreesInSignDms": [
  
  
  
  
  
0
  
  
  
  
],
  
  
  
  
"sign": "string"
  
  
  
}
  
  
},
  
  
"angles": {
  
  
  
"additionalProperties": {
  
  
  
  
"pointId": "string",
  
  
  
  
"longitude": 0,
  
  
  
  
"degreesInSign": 0,
  
  
  
  
"degreesInSignDms": [
  
  
  
  
  
0
  
  
  
  
],
  
  
  
  
"sign": "string"
  
  
  
}
  
  
},
  
  
"houses": {
  
  
  
"cusps": [
  
  
  
  
{
  
  
  
  
  
"longitude": 0,
  
  
  
  
  
"longitudeDms": {
  
  
  
  
  
  
"degrees": 0,
  
  
  
  
  
  
"minutes": 0,
  
  
  
  
  
  
"seconds": 0
  
  
  
  
  
},
  
  
  
  
  
"sign": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"ascmc": [
  
  
  
  
{
  
  
  
  
  
"longitude": 0,
  
  
  
  
  
"longitudeDms": {
  
  
  
  
  
  
"degrees": 0,
  
  
  
  
  
  
"minutes": 0,
  
  
  
  
  
  
"seconds": 0
  
  
  
  
  
},
  
  
  
  
  
"sign": "string"
  
  
  
  
}
  
  
  
]
  
  
},
  
  
"chart": {
  
  
  
"url": "string"
  
  
}
  
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation